Package Gnumed :: Package business :: Module gmBilling :: Class cBill |
[frames] | no frames]

# Class cBill

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cBill

Represents a bill

Instance Methods
format(self) | source code
add_items(self, items=None) Requires no pending changes within the bill itself. | source code
set_missing_address_from_default(self) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `__unicode__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
| bill_items
| invoice
| address
| default_address
Inherited from `object`: `__class__`

Method Details

### format(self) | source code
Overrides: pycommon.gmBusinessDBObject.cBusinessDBObject.format

Property Details

### bill_items Get Method: _get_bill_items(self) Set Method: unreachable(x)

### invoice Get Method: _get_invoice(self) Set Method: unreachable(x)

### address Get Method: _get_address(self) Set Method: unreachable(x)

### default_address Get Method: _get_default_address(self) Set Method: unreachable(x)